For learning content and document viewing, users will need the browser plug-ins and accessories mentioned below. Other modules of the system require just the Internet connection and Web browser.

 Help

If you don't remember your password or see an "Account Details Not Recognized" message, enter your username and email address on record, and then click the "Forgot Your Password?" link. The system will send you a new random password. If you need assistance with username, or if you have questions about online learning, please contact your training administrator.

 Browsers

We recommend latest version of Google Chrome Browser. Exponential Impact will work on most browsers, but the user experience will be smoother using an up-to-date version of a mainstream browser.

 Popup Blockers

If you have enabled a popup-blocker, turn it off while using the Learning Management System. Some pop-up blockers incorrectly interpret course windows as pop-ups and block them.

 Accessories

Headset or speakers for audio portion of content.

 Internet Connection

Minimum 1MBPS download speed; recommended 3MBPS or faster download speed for viewing content.

 Browser Plugins

Latest version of Flash Player and Adobe Reader. These may be required for viewing some content.





Copyright © 2015, Drake International
Version 5.8. Date Updated: June 27, 2016